#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    vector<pair<double, int>> frilenseri;

    int a;
    double x;

    scanf("%d", &n);

    for(int i = 0; i < n; ++i)
    {
        scanf("%d", &a);
        scanf("%lf", &x);
        frilenseri.push_back(make_pair(x, a));
    }

    sort(frilenseri.begin(), frilenseri.end());

    double s = 0, max_zarada = 0, zarada;

    for(int i = n - 1; i >= 0; --i)
    {
        s += frilenseri[i].second;
        zarada = frilenseri[i].first * s / 100;
        if(zarada > max_zarada) max_zarada = zarada;
    }

    printf("%lf", max_zarada);

    return 0;
}